### Method

# GtkVnc Display open_fd_with_hostname

#### Declaration [src]

    gboolean
    vnc_display_open_fd_with_hostname (
      VncDisplay* obj,
      int fd,
      const char* hostname
    )

#### Description [src]

Open a connection using `fd` as the transport. The `hostname` provided should reflect the name of the host that the `fd` provides a connection to. This will be used by some authentication schemes, for example x509 certificate validation against `hostname`.

#### Parameters

`fd`

  Type: `int`

  File descriptor to use for the connection.

`hostname`

  Type: `const char*`

  The host associated with the connection.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if a connection was opened, FALSE if already open.